# Contributing

Thank you for contributing! Pull requests are always welcome!

## Git Commits

Please ensure your commits are small and focused; they should tell a story of your change. This helps reviewers to follow your changes, especially for more complex changes.


## Submitting an issue
If you find a bug in the source code, you can help us by
submit an issue to our [GitHub Repository](https://github.com/RedisInsight/RedisInsight)

Before you submit an issue, please search the issue tracker, maybe an issue for your problem already exists and the discussion might inform you of workarounds readily available.


## Github Pull Requests

Use the following procedure to submit a pull request:

    a. Fork RedisInsight on github ( https://docs.github.com/en/github/getting-started-with-github/fork-a-repo )
    b. Create a topic branch (git checkout -b my_branch)
    c. Push to your branch (git push origin my_branch)
    d. Initiate a pull request on github ( https://docs.github.com/en/github/collaborating-with-issues-and-pull-requests/creating-a-pull-request )
    e. Done :)

Before creating pull request please make sure that [tests](README.md#tests) are passing 
